package org.jeecg.modules.bytedance.advertise.enums;

public enum BytedanceCreativeMatTypeEnum {
    /**
     * 13 23 分别是历史遗漏素材，归类到上新素材中
     * type字段 第一位创意创建方式，第二位素材获取方式
     * 快手创意素材获取类型
     */
    BYTEDANCE_CREATIVE_MAT_TYPE_ENUM_NEW("1","上新",-60*8L,-5L),
    BYTEDANCE_CREATIVE_MAT_TYPE_ENUM_HIGH_QUALITY("2","高质量",-14*60*24L,-1*60*24L),
    BYTEDANCE_CREATIVE_MAT_TYPE_ENUM_MISSING("3","上新",-60*60*24L,-1*60*24L),
    BYTEDANCE_CREATIVE_MAT_TYPE_ENUM_HISTORY("4","历史",-14*60*24L,-1*60*24L);

    /**
     * 类型
     */
    private String type;
    /**
     * 名称
     */
    private String name;
    /**
     * 素材查询的时间区间
     */
    private Long videoGetStartTime;
    private Long videoGetEndTime;

    BytedanceCreativeMatTypeEnum(String type, String name,Long videoGetStartTime,Long videoGetEndTime) {
        this.type = type;
        this.name = name;
        this.videoGetStartTime = videoGetStartTime;
        this.videoGetEndTime = videoGetEndTime;
    }

    public static String getNameByType(String type) {
        for (BytedanceCreativeMatTypeEnum createTypeEnum : BytedanceCreativeMatTypeEnum.values()) {
            if (createTypeEnum.getType().equals(type)) {
                return createTypeEnum.getName();
            }
        }
        return "";
    }

    public static Long getStartTimeByType(String type) {
        for (BytedanceCreativeMatTypeEnum createTypeEnum : BytedanceCreativeMatTypeEnum.values()) {
            if (createTypeEnum.getType().equals(type)) {
                return createTypeEnum.getVideoGetStartTime();
            }
        }
        return -60*8L;
    }

    public static Long getEndTimeByType(String type) {
        for (BytedanceCreativeMatTypeEnum createTypeEnum : BytedanceCreativeMatTypeEnum.values()) {
            if (createTypeEnum.getType().equals(type)) {
                return createTypeEnum.getVideoGetEndTime();
            }
        }
        return -5L;
    }

    public String getType() {
        return this.type;
    }

    public String getName() {
        return this.name;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setName(String value) {
        this.name = value;
    }

    public Long getVideoGetStartTime() {
        return videoGetStartTime;
    }

    public void setVideoGetStartTime(Long videoGetStartTime) {
        this.videoGetStartTime = videoGetStartTime;
    }

    public Long getVideoGetEndTime() {
        return videoGetEndTime;
    }

    public void setVideoGetEndTime(Long videoGetEndTime) {
        this.videoGetEndTime = videoGetEndTime;
    }
}
