package org.jeecg.modules.bytedance.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import io.lettuce.core.dynamic.annotation.Param;
import org.jeecg.modules.bytedance.report.entity.BytedanceAdvertiserHourlyReport;
import org.jeecg.modules.bytedance.report.entity.vo.ReportCostVo;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description: 广告主小时级别报表信息
 * @Author: jeecg-boot
 * @Date: 2021-05-18
 * @Version: V1.0
 */
public interface BytedanceAdvertiserHourlyReportMapper extends BaseMapper<BytedanceAdvertiserHourlyReport> {


    List<ReportCostVo> getReportCostInfo(@Param("accountId") String accountId, @Param("startTime") String startTime, @Param("endTime") String endTime);
    List<ReportCostVo> getReportCostInfoStage(@Param("accountId") String accountId, @Param("startTime") String startTime, @Param("endTime") String endTime);

    Map<String,Object> selAcountIdCostMax(@Param("userId") String userId, @Param("type") String type);

    Map<String,Object> selectAccountCost(@Param("accountId") String accountId);

    List<ReportCostVo> selectReportPlanCostInfo(@Param("accountId") String accountId, @Param("planId") String planId, @Param("startTime") String startTime, @Param("endTime") String endTime);

}
